Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DataValidatorFactory.HDFDataValidator

Object
org.eclipse.nebula.widgets.nattable.data.validate.DataValidator
hdf.view.TableView.DataValidatorFactory.HDFDataValidator

All Implemented Interfaces:
  `org.eclipse.nebula.widgets.nattable.data.validate.IDataValidator`

Enclosing class:
  DataValidatorFactory

public static class DataValidatorFactory.HDFDataValidator extends org.eclipse.nebula.widgets.nattable.data.validate.DataValidator

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `cellColIdx`
  `protected org.slf4j.Logger`
  `log`

  ### Fields inherited from interface org.eclipse.nebula.widgets.nattable.data.validate.IDataValidator

  `ALWAYS_VALID, NEVER_VALID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HDFDataValidator​(Datatype dtype)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `checkValidValue​(Object newValue)`
  `protected void`
  `throwValidationFailedException​(int rowIndex, int colIndex, Object newValue, String reason)`
  `boolean`
  `validate​(int colIndex, int rowIndex, Object newValue)`

  ### Methods inherited from class org.eclipse.nebula.widgets.nattable.data.validate.DataValidator

  `validate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### log

    protected org.slf4j.Logger log

  - ### cellColIdx

    protected int cellColIdx

- ## Constructor Details

  - ### HDFDataValidator

    HDFDataValidator​(Datatype dtype)

- ## Method Details

  - ### validate

    public boolean validate​(int colIndex, int rowIndex, Object newValue)
    Specified by:
      `validate` in interface `org.eclipse.nebula.widgets.nattable.data.validate.IDataValidator`
    Specified by:
      `validate` in class `org.eclipse.nebula.widgets.nattable.data.validate.DataValidator`

  - ### checkValidValue

    protected void checkValidValue​(Object newValue) throws org.eclipse.nebula.widgets.nattable.data.validate.ValidationFailedException
    Throws:
      `org.eclipse.nebula.widgets.nattable.data.validate.ValidationFailedException`

  - ### throwValidationFailedException

    protected void throwValidationFailedException​(int rowIndex, int colIndex, Object newValue, String reason) throws org.eclipse.nebula.widgets.nattable.data.validate.ValidationFailedException
    Throws:
      `org.eclipse.nebula.widgets.nattable.data.validate.ValidationFailedException`